DewaVPS

Get deposit history

GET
/billing/deposit/history

Retrieve a paginated list of deposit (top-up) transactions.

Authorization

ApiKeyAuth
x-apikey<token>

In: header

Query Parameters

page?integer

Page number

limit?integer

Number of results per page

Response Body

application/json

curl -X GET "https://api.dewavps.com/v1/billing/deposit/history"
{
  "message": "Deposit histories",
  "data": {
    "data": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "invoice_number": "string",
        "description": "string",
        "detail": {
          "amount": 0,
          "vat": 0,
          "payment_fee": 0
        },
        "method": "BCA VA",
        "status": "SUCCESS",
        "created_at": "string",
        "expired_at": "string"
      }
    ],
    "page": {
      "total": 0,
      "count": 0,
      "per_page": 0,
      "current_page": 0,
      "total_pages": 0
    }
  }
}